Arch Pipe/ru: Difference between revisions

From FreeCAD Documentation
No edit summary
(Created page with "* Arch Equipments now have a new '''SnapPoints''' property, which is a list of 3D vectors. This allows you to add custom snap points, to which you can snap when the new Draf...")
Line 41: Line 41:


* Arch Equipments now have a new '''SnapPoints''' property, which is a list of 3D vectors. This allows you to add custom snap points, to which you can snap when the new [[Draft Special|Draft Special]] snap button is turned on. Currently that property is only available to python, though. In the case above I added a new snap point at the exit of the wc appliance. The vectors inside SnapPoints appear on the model as white dots:
* Arch Equipments now have a new '''SnapPoints''' property, which is a list of 3D vectors. This allows you to add custom snap points, to which you can snap when the new [[Draft Special|Draft Special]] snap button is turned on. Currently that property is only available to python, though. In the case above I added a new snap point at the exit of the wc appliance. The vectors inside SnapPoints appear on the model as white dots:

* Теперь Оборудование имеет новое свойство '''SnapPoints''', представляющее собой список трехмерных векторов. Это позволяет добавлять пользовательские точки привязки, к которым вы можете привязываться, когда включена кнопка привязки [[Draft Special/ru|Специальные]].


FreeCAD.ActiveDocument.Equipment.SnapPoints=[FreeCAD.Vector(0,0,100)]
FreeCAD.ActiveDocument.Equipment.SnapPoints=[FreeCAD.Vector(0,0,100)]

Revision as of 08:28, 1 November 2019

Arch Pipe

Menu location
Arch → Инструменты для труб → Труба
Workbenches
Arch
Default shortcut
P I
Introduced in version
0.17
See also
Arch Соединитель труб, Arch Equipment

Описание

Этот инструмент позволяет создавать трубы с нуля или из выбранных объектов. Выбранные объекты должны быть основами деталей (Draft, Sketch, и дт..) и содержать одну и только одну незамкнутую линию.

Как использовать

  1. При необходимости выберите линейную фигуру в верстаке Деталь, например Линия, Кривая или Эскиз.
  2. Нажмите кнопку Труба или нажмите клавиши P, а затем I.

Параметры

  • Трубы имеют общие свойства и поведение характерные для всех Компонентов

Свойства

  • ДанныеLength: Задает длину данной трубы, когда она не основана на кривой
  • ДанныеDiameter: Диаметр данной трубы, когда она основана не на профиле
  • ДанныеBase: Базовая кривая данной трубы, если есть
  • ДанныеProfile: Базовый профиль данной трубы. Если не задан, труба будет цилиндрическая.

Процесс создания

  • Начните с размещения предметов сантехники/гидравлики (ниже указано пошагово). Вы переводите эти объекты в Оборудование, выбирая их и нажимая кнопку Оборудование.

  • Arch Equipments now have a new SnapPoints property, which is a list of 3D vectors. This allows you to add custom snap points, to which you can snap when the new Draft Special snap button is turned on. Currently that property is only available to python, though. In the case above I added a new snap point at the exit of the wc appliance. The vectors inside SnapPoints appear on the model as white dots:
  • Теперь Оборудование имеет новое свойство SnapPoints, представляющее собой список трехмерных векторов. Это позволяет добавлять пользовательские точки привязки, к которым вы можете привязываться, когда включена кнопка привязки Специальные.
FreeCAD.ActiveDocument.Equipment.SnapPoints=[FreeCAD.Vector(0,0,100)]

  • With the new "Snap Special" Draft Snap, you can now snap to these custom points:

  • Now we can draw our piping using Draft Lines, Draft Wires, or Sketches. The best way, though, is using only Draft Lines:

  • There is now a new Draft Slope tool that allows to change the slope of Draft lines, to, for example, 5% (0.05). So we can quickly give our waste lines a correct slope. Only z coordinates are change by this tool, so we only need to snap them back to each other, the top projection will stay unchanged.

  • We now only have to select all our lines, and press the Arch Pipe button. Arch Pipe works with any Part-based object that contains one and only one open wire.

  • We can now create connections by selecting 2 or 3 coincident tubes, and press the Arch PipeConnector button. If 3 pipes are selected, two of them must be aligned in order to create a tee element:

  • Changing the connectors radius doesn't change the length of the underlying base line, only the resulting tube (by changing their OffsetStart or OffsetEnd property). So you can still draw your line layout with only straight lines, without the need to care about curves and radius.

It is also possible to create Arch Pipes without a base line, in this case use its "Length" property to define the length.

Скрипты

Инструмент для труб/Pipe может использоваться в макросах и в консоли Python с использованием следующих функций:

Pipe = makePipe(baseobj=None, diameter=0, length=0, placement=None, name="Pipe")
  • Creates a Pipe object from the given baseobj and diameter.
    • baseobj is a Draft Line or Draft Wire.
    • If baseobj is omitted, a straight pipe can be created with just the diameter and the length in the Z direction.
  • If a placement is given, it is used.
import Draft, Arch

p1 = FreeCAD.Vector(1000, 0, 0)
p2 = FreeCAD.Vector(2500, 200, 0)
p3 = FreeCAD.Vector(3100, 1000, 0)
p4 = FreeCAD.Vector(3500, 500, 0)
Line = Draft.makeWire([p1, p2, p3, p4])

Pipe = Arch.makePipe(Line, 200)
FreeCAD.ActiveDocument.recompute()

Pipe2 = Arch.makePipe(diameter=120, length=3000)
FreeCAD.ActiveDocument.recompute()